From 65c0ac885bc777a27fe4c03dc4b2ceed48260548 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:24:40 +0000
Subject: [PATCH 815/2232] Remove "parent of target dir" from include path


---

diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 007c5f1..8fe86ae 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -19,9 +19,6 @@ pub(crate) fn out_dir() -> Result<PathBuf> {
 pub(crate) fn cc_build(prj: &Project) -> cc::Build {
     let mut build = cc::Build::new();
     build.include(include_dir(prj));
-    if let TargetDir::Path(target_dir) = &prj.target_dir {
-        build.include(target_dir.parent().unwrap());
-    }
     build
 }
 

